SOURCES: dspam.init (NEW) - new
arekm
arekm at pld-linux.org
Fri Jun 17 10:21:01 CEST 2005
Author: arekm Date: Fri Jun 17 08:21:01 2005 GMT
Module: SOURCES Tag: HEAD
---- Log message:
- new
---- Files affected:
SOURCES:
dspam.init (NONE -> 1.1) (NEW)
---- Diffs:
================================================================
Index: SOURCES/dspam.init
diff -u /dev/null SOURCES/dspam.init:1.1
--- /dev/null Fri Jun 17 10:21:01 2005
+++ SOURCES/dspam.init Fri Jun 17 10:20:56 2005
@@ -0,0 +1,66 @@
+#!/bin/sh
+#
+# dspam dspam
+#
+# chkconfig: 345 55 45
+#
+# description: dspam
+
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Get service config
+[ -f /etc/sysconfig/dspam ] && . /etc/sysconfig/dspam
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+ start)
+ # Check if the service is already running?
+ if [ ! -f /var/lock/subsys/dspam ]; then
+ msg_starting dspam
+ daemon --fork /usr/bin/dspam --daemon
+ RETVAL=$?
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/dspam
+ else
+ msg_already_running dspam
+ fi
+ ;;
+ stop)
+ if [ -f /var/lock/subsys/dspam ]; then
+ msg_stopping dspam
+ killproc dspam
+ rm -f /var/run/dspam.pid /var/lock/subsys/dspam >/dev/null 2>&1
+ else
+ msg_not_running dspam
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ exit $?
+ ;;
+ status)
+ status dspam
+ exit $?
+ ;;
+ reload|force-reload)
+ if [ -f /var/lock/subsys/dspam ]; then
+ msg_reloading dspam
+ killproc dspam -HUP
+ RETVAL=$?
+ else
+ msg_not_running dspam >&2
+ exit 7
+ fi
+ ;;
+ *)
+ msg_usage "$0 {start|stop|init|restart|reload|force-reload|status}"
+ exit 3
+esac
+
+exit $RETVAL
================================================================
More information about the pld-cvs-commit
mailing list